petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecScatterRemap

Remaps the "from" and "to" indices in a vector scatter context. FOR EXPERTS ONLY!

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterRemap(VecScatter scat,PetscInt *rto,PetscInt *rfrom)

Collective on VecScatter

### Input Parameters

| scat | - vector scatter context
| from | - remapping for "from" indices (may be NULL)
| to | - remapping for "to" indices (may be NULL)

Notes: In the parallel case the todata is actually the indices from which the data is TAKEN! The from stuff is where the data is finally put. This is VERY VERY confusing!

In the sequential case the todata is the indices where the data is put and the fromdata is where it is taken from. This is backwards from the paralllel case! CRY! CRY! CRY!

Level:developer
Location:src/vec/vec/utils/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages